package com.sunyard.ssp.modules.sysconf.dict.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sunyard.ssp.modules.sysconf.dict.entity.ScDictData;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author fyc
 * @since 2020-03-13
 */
public interface IScDictDataService extends IService<ScDictData> {

    /**
     * 获取字典数据列表
     * @param scDictData 查询参数
     * @return
     */
    IPage<ScDictData> queryList(ScDictData scDictData);

    /**
     * 根据字典类型返回字典数据
     * @param type 字典类型
     * @return
     */
    List<ScDictData> selectByDictType(String type);


    /**
     * 通过字典ID删除字典数据
     * @param dictId
     */
    void deleteByDictId(Long dictId);

    /**
     * 检测传入数据
     * @param scDictData
     * @return
     */
    Map checkInputData(ScDictData scDictData);
    
}
